.main{
display: flex;
justify-content: space-between;
}

#diary{
width: calc(100% - 230px);
}

.left{
padding-left: 20px;
padding-top: 20px;
padding-bottom: 20px;
}


#data{
width: 200px;
}





@media (max-width: 767px){
  .main{
    flex-direction: column;
    flex-wrap: wrap;
  }
  
  #diary,
  .left,
  #data{
    width: 100%;
  }
  #diary{
    order: 1;
  }
  
  .left{
    order: 2;
    padding-right: 20px;
  }
}



.calendar{
width: 100%;
font-size: .8rem;
}

.calendar_head,
.calendar_body{
display: grid;
grid-template-columns: repeat(7, 1fr);
}

.calendar_head div{
padding: 8px;
text-align: center;
font-weight: bold;
background: #eee;
}

.calendar_day{
padding: 3px;
border: 1px solid #ddd;
background: #fff;
text-align: center;
}

.calendar_day.empty{
background: #f7f7f7;
}

.calendar_day span{
font-weight: bold;
}

.calendar_day.w0,
.calendar_head .sun{
color: #d00;
}

.calendar_day.w6,
.calendar_head .sat{
color: #06c;
}

.calendar_body a:hover{
opacity: .5
}

.calendar_body a{
  color: #fff;
background: var(--anc);
display: block;
text-decoration: none;
}

.calendar_body a .calendar_day{
background: none;
}


#diary article{
display: flex;
align-items: center;
}


#diary article h1{
width: 40%;
padding: 40px;
}

#diary article .body{
  width: 60%;
}



@media (max-width: 767px){
  #diary article {
    display: block;
  }
  #diary article h1{
    padding: 0;
    width: 100%;
  }
  #diary article .body{
    background: #fff;
    font-size: .8rem;
    padding: 10px;
    width: 100%;
  }
  #diary article .body a{
    color: var(--anc);
  }
  
  #diary article .body h2{
  }
}

#archive{
margin-top: 20px;
}
#archive h1{
background: var(--accent);
font-size: .9rem;
color: #fff;
margin-bottom: 15px;
text-align: center;
padding: 10px;
border-radius: 5px;
}


#archive a{
color: var(--anc);
text-decoration: none;
}


.calendar h2{
font-size: .9rem;
background: var(--accent);
color: #fff;
margin-bottom: 15px;
text-align: center;
padding: 10px;
border-radius: 5px;
}

.calendar h2 a{
color: #fff;
text-decoration: none;
}